### Method

# Gtk Entry set_icon_from_icon_name

#### Declaration [src]

    void
    gtk_entry_set_icon_from_icon_name (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos,
      const char* icon_name
    )

#### Description [src]

Sets the icon shown in the entry at the specified position from the current icon theme.

If the icon name isn’t known, a “broken image” icon will be displayed instead.

If `icon_name` is `NULL`, no icon will be shown in the specified position.

#### Parameters

`icon_pos` | `GtkEntryIconPosition`
| The position at which to set the icon.
`icon_name` | `const char*`
| An icon name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.